require "github_api"
require "lariat/github/issues"

module Lariat
  class Github

    include ::Lariat::Github::Issues

    def initialize(config_file)
      @config = load_config(config_file)
      initialize_git_client
      @gh = ::Github.new
    end

    def handle
      @gh
    end

    def initialize_git_client
      unless @config['token']
        puts "You must have a Github API Token.  Create one, and add it to the local 'config/github.yml' and try again."
        exit
      end

      ::Github.configure do |c|
        c.oauth_token = @config['token']
        c.site = @config['site']
        c.endpoint = @config['endpoint']
      end
    end

    def load_config(config_file)
      ::Lariat.load_environment_config_from_yaml(config_file)
    rescue
      puts "You must have a Github API Token.  Create one, and add it to the local 'config/github.yml' and try again."
      exit
    end
  end
end
