module Lariat
  class Github
    module Issues
      def close_issue(issue)
        user,repo = get_user_from_repo_url(issue.repository_url)
        issue_number = issue.number

        handle.issues.edit(user, repo, issue_number, :state  => 'closed')
      end

      def create_issue(user, repository, title, body, labels=[])
        handle.issues.create(user, repository, :title => title, :body => body, :labels => labels)
      end

      def search_issues(query)
        handle.search.issues(:q => query)
      end

      # https://git.moneydesktop.com/api/v3/repos/steve-newell/api-playground
      def get_user_from_repo_url(url)
        if url =~ /.*\/(.*)\/(.*)/
          return $1,$2
        else
          return nil,nil
        end
      end
    end
  end
end
