require 'rest-client'
require 'json'

module Lariat
  class SabotageStats
    def self.gather_stats(url, date_offset)
      response = RestClient.get(url)

      stats = JSON.parse(response)

      verified = 0
      closed = 0

      date_offset.times do |i|
        key = (Date.today - i).to_s
        verified += stats[key]["releases_verified"]
        closed += stats[key]["prs_closed"]
      end

      return { :releases_verified => verified, :prs_closed => closed }
    end
  end
end
